Func get_bibleindex($bibletext)
	;Funktion erzeugt aus bergebener Bibelstelle eine Ordnungszahl (String)
	; z.B."Psalm 91 , 1" ==> 19091 (BBKKKVVV)
	; Stelle 1-2: Psalm ist das 19. Buch der Bibel. Es gibt 66 Bibelbcher - also max. 2-stellig
	; Stelle 3-5: Kapitel 91. Es gibt max. 3-stellige Kapitel, deshalb 091.
	; Stelle 6-8: Vers 1. Es gibt max. 3-stellige Verse, deshalb 001

	Local $len, $posStart, $posEnde, $i, $buch, $kapitel, $vers, $buchstabe, $buchindex, $kapitelindex,$versindex,$sTmp
	Const $INDEXFILE = @ScriptDir & "\biblebooks.ini"

	;Entferne fhrende und nachkommende Leerstellen
	$bibletext = StringStripWS($bibletext,3)

	;Stringlnge
	$len = StringLen($bibletext)

	;Wenn Bibelstelle LEER, dann raus hier...
	If $len = 0 Then Return "99999999"

	;Start-Position der Kapitelangabe ermitteln
	$posStart = 0
	For $i = 2 To $len
		$buchstabe = StringMid($bibletext,$i,1)
		If StringIsInt($buchstabe) Then
			$posStart = $i
			ExitLoop
		EndIf
	Next

	;Ende-Position der Kapitelangabe ermitteln
	$posEnde = $posStart
	For $i = $i To $len
		$buchstabe = StringMid($bibletext,$i,1)
		If StringIsInt($buchstabe) Then
			$posEnde = $i
		Else
			ExitLoop
		EndIf
	Next

	;Wenn keine Kapitelzahl gefunden wurde, dann raus hier...
	If $posStart = 0 And $posEnde = 0 Then Return "99999999"

	$buch = StringStripWS(StringReplace(StringLeft($bibletext,$posStart-1), "." , ""),8)
	$kapitel = StringMid($bibletext,$posStart, $posEnde-$posStart+1)
	$vers = StringStripWS(StringReplace(StringReplace(StringRight($bibletext, $len-$posEnde), "," , ""), ";" , ""),8)

	;Ermittle 2-stelligen Buchindex
	$buchindex = StringRight("00" & IniRead($INDEXFILE,"biblebookindex", StringLeft($buch,3), "99"),2)

	;Erstelle 3-stelligen Kapitelindex
	$kapitelindex = StringRight("000" & $kapitel,3)

	;Erstelle 3-stelligen Versindex
	$posEnde = 0
	$buchstabe = StringMid($vers,1,1)
	If $buchstabe = "-" Or $buchstabe = "+" Then $vers = ""
	For $i = 1 To StringLen($vers)
		$buchstabe = StringMid($vers,$i,1)
		If StringIsInt($buchstabe) Then
			$posEnde = $i
		Else
			ExitLoop
		EndIf
	Next
	If $posEnde >0 Then $vers = StringLeft($vers,$posEnde)

	$versindex = StringRight("000" & $vers,3)

#cs
	MsgBox(0,"debug", "String: " & $bibletext & @LF & @LF & _
	"Startpos: "  & $posStart & @LF & _
	"Endpos: "  & $posEnde  & @LF & @LF & _
	"Buch: "  & $buch & @LF & _
	"Kapitel: "  & $kapitel & @LF & _
	"Vers: "  & $vers  & @LF & @LF & _
	"Buchindex: "  & $buchindex & @LF & _
	"Kapitelindex: "  & $kapitelindex & @LF & _
	"Versindex: "  & $versindex )
#ce

	Return $buchindex & $kapitelindex & $versindex

EndFunc